/*
 * Cliente.java
 *
 * Ejemplo de rmi sin SecurityManager
 */

package chuidiang.ejemplos.rmi.suma;

import java.rmi.*;
import java.rmi.server.*;

/**
 * Ejemplo de rmi pasando parmetros Serializable.
 * @author  Javier Abelln
 */
public class Cliente {
    
    /** Crea nueva instancia de Cliente */
    public Cliente() 
    {
        try
        {
            InterfaceRemota objetoRemoto = 
                (InterfaceRemota)Naming.lookup ("//localhost/ObjetoRemoto");
            
            // Se envia un parmetro Serializabe
            System.out.print ("2 + 3 = ");
            System.out.println (objetoRemoto.suma(new Sumando(2,3)));

	    Contador unContador=new Contador();
	    System.out.println("Ahora el contador");
	    objetoRemoto.tomaContador(unContador);
	    Thread.sleep(10000);
	    System.out.println("Libero");
	    UnicastRemoteObject.unexportObject(unContador,false);
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new Cliente();
    }
    
}
